## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global srcname matrix-nio

Name:           python-matrix-nio
Version:        0.19.0
Release:        %autorelease
Summary:        A Matrix client library

License:        ISC and ASL 2.0
URL:            https://pypi.python.org/pypi/matrix-nio
Source0:        %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
nio is a multilayered Matrix client library. The underlying base layer doesn't
do any network IO on its own, but on top of that is a full fledged
batteries-included asyncio layer using aiohttp. File IO is only done if you
enable end-to-end encryption (E2EE).}

%description %_description

%package -n python3-matrix-nio
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-toml
# Not included in pyproject.toml
BuildRequires:  python3-crypto
Requires:       python3-crypto

%description -n python3-matrix-nio %_description

%prep
%autosetup -n matrix-nio-%{version}
# Update BRs
sed \
    -e 's/^aiohttp-socks.*/aiohttp-socks = "*"/' \
    -e 's/^aiofiles.*/aiofiles = "*"/' \
    -e 's/^cachetools.*/cachetools = "*"/' \
    -e 's/^h11.*/h11 = "*"/' \
    -e 's/^h2.*/h2 = "*"/' \
    -e 's/^pycryptodome.*/pycryptodomex = "*"/' \
    -i pyproject.toml
# Remove backup file
rm -fv nio/events/room_events.py.orig


%generate_buildrequires
%pyproject_buildrequires -x e2e

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files nio

%check
%pyproject_check_import

%files -n python3-%{srcname}  -f %{pyproject_files}
%license LICENSE.md
%doc README.md

%changelog
* Tue Feb 08 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.19.0-1
- feat: update to 0.19.0 (Fixes rhbz#2008139)

* Tue Feb 08 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.18.6-4
- chore: checkin updated spec

* Mon Aug 16 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.18.1-1
- Update to latest upstream release

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.15.2-6
- Rebuilt for Python 3.10

* Sat Apr 17 2021 Michael Scherer <misc@fedoraproject.org> - 0.15.2-5
- Add missing requires python3-crypto (#1925689)

* Mon Feb 08 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.15.2-4
- Manually merge Miro's pyproject packaging improvements to resolve merge conflict

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 25 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.15.2-2
- Remove extra file to fix build

* Mon Jan 18 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.15.2-2
- Bump for rebuild

* Fri Nov 20 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.15.2-1
- Initial rpm


